Subject: bug#22814: 25.0.91; Emacs runs out of file descriptors on OS X

From: Anders Lindgren <[email-masked]>
Date: Sat, 27 Feb 2016 10:55:42 +0100

>
> > If Emacs hangs because the file notification system runs out of
> > resources (file descriptors or processes), it should detect this by
> > itself and revert to other, safer, methods (e.g. the timer-based
> > system).
>
> A general support for polling in filenotify.el is not foreseen, too much
> effort. But I believe, in the auto-revert case Emacs works already this
> way. When file-notify-add-watch returns nil, auto-revert falls back to
> polling (to be tested, I'll I add a test).
>

This sounds like the right thing to do.

The main question is why Emacs hangs when opening a large desktop (which is
why I didn't want this bug to be closed), even though the file notify
system has this fallback.

    -- Anders